Bug 14766 - vfs_ceph openat() doesn't cope with dirfsp != AT_FDCWD
Summary: vfs_ceph openat() doesn't cope with dirfsp != AT_FDCWD
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules (show other bugs)
Version: 4.15.0rc1
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Jule Anger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-20 23:15 UTC by Jeremy Allison
Modified: 2021-08-26 09:25 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for master, 4.15.rc2 (1.59 KB, patch)
2021-07-20 23:30 UTC, Jeremy Allison
no flags Details
git-am fix for 4.15.rcNext (1.91 KB, patch)
2021-08-10 23:44 UTC, Jeremy Allison
slow: review+
jra: review? (npower)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2021-07-20 23:15:39 UTC
Have patch, need bugnumber.
Comment 1 Jeremy Allison 2021-07-20 23:30:49 UTC
Created attachment 16694 [details]
git-am fix for master, 4.15.rc2
Comment 2 Jeremy Allison 2021-07-22 16:20:35 UTC
MR : https://gitlab.com/samba-team/samba/-/merge_requests/2091
Comment 3 Samba QA Contact 2021-08-05 06:16:07 UTC
This bug was referenced in samba master:

4f093ae6c9ee5b3e0f98b47fbacb0e37fad62052
Comment 4 Jeremy Allison 2021-08-10 23:44:04 UTC
Created attachment 16726 [details]
git-am fix for 4.15.rcNext

Cherry-picked from master
Comment 5 Jeremy Allison 2021-08-19 19:26:28 UTC
Comment on attachment 16726 [details]
git-am fix for 4.15.rcNext

Just trying to get this into 4.15.0 :-).
Comment 6 Ralph Böhme 2021-08-19 19:40:44 UTC
Reassigning to Jule for inclusion in 4.15 (only).
Comment 7 Jule Anger 2021-08-25 08:51:24 UTC
Pushed to autobuild-v4-15-test.
Comment 8 Samba QA Contact 2021-08-25 12:55:05 UTC
This bug was referenced in samba v4-15-test:

ccd0b8655741966930d3193900b4fa3e97cc8b1b
Comment 9 Jule Anger 2021-08-25 14:31:55 UTC
Closing out bug report.

Thanks!
Comment 10 Jule Anger 2021-08-25 14:32:16 UTC
(In reply to Jule Anger from comment #9)
Comment 11 Samba QA Contact 2021-08-26 09:25:41 UTC
This bug was referenced in samba v4-15-stable (Release samba-4.15.0rc3):

ccd0b8655741966930d3193900b4fa3e97cc8b1b